summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBen Kohler <bkohler@gentoo.org>2019-09-25 15:45:43 -0500
committerBen Kohler <bkohler@gentoo.org>2019-09-25 15:46:04 -0500
commitcace329dc52fe6b34a8fa8a03e2649d7164f7539 (patch)
tree62855c5617199c9450f06791b6c107ac242bd97e
parentmedia-plugins/kodi-visualization-waveform: 3.0.2 version bump (diff)
downloadgentoo-cace329dc52fe6b34a8fa8a03e2649d7164f7539.tar.gz
gentoo-cace329dc52fe6b34a8fa8a03e2649d7164f7539.tar.bz2
gentoo-cace329dc52fe6b34a8fa8a03e2649d7164f7539.zip
net-wireless/unifi: bump to 4.11.48
Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Ben Kohler <bkohler@gentoo.org>
-rw-r--r--net-wireless/unifi/Manifest1
-rw-r--r--net-wireless/unifi/unifi-5.11.48.ebuild73
2 files changed, 74 insertions, 0 deletions
diff --git a/net-wireless/unifi/Manifest b/net-wireless/unifi/Manifest
index 0ded507098c..eca20d43496 100644
--- a/net-wireless/unifi/Manifest
+++ b/net-wireless/unifi/Manifest
@@ -1,4 +1,5 @@
DIST unifi-5.11.46.zip 112381219 BLAKE2B 7f73cf5db1d132af85fd54dda36cb82cedddae1d3c8e84282f9dcfe0766a839f165d17a8292096bfe976ccced1e29173476de9042f96cdc2c15c4edf24ee9c65 SHA512 41b03ebbbb49089bd40e3e715d7c9a447b42a6df61a2d3551175ae55b85010fd896318909f394bb166bd7a8e9fd7611439158a8141df349acf3b4980bbe9dd6b
DIST unifi-5.11.47.zip 112374653 BLAKE2B 42e981f526dcdc7f7c35b7884aaa81cd96de4105d8700e8f8625a1fbd14640d248d46153328dbc852591f96221ab5753b65e2038d948a3d5b091f17b3e47e4bb SHA512 ec2a1f8e3a3c3bf5cf8ab25ece9ee164fbaaeef4b03585d2ff9add74a34992a24fe0becbd28b212b470d4fd87eea67e4291724addc8b12e5d1c463a73817569c
+DIST unifi-5.11.48.zip 112379777 BLAKE2B da30a094350229aebdda958a966412a350c918d6d6cef775fce675bb139cb13f27dc5e3efbd7b68eb0a1b75adb11f9352cf330ca45af89bb9690c9d4a2505e8c SHA512 f09e2fd280cc6c1859d89536f9c517308c6945f7f4b38f9ef46a8231551284049baf50309ecc3cf7f9523b5c9f85758a56ee2520652c10ad22035491d8ee32d9
DIST unifi-5.12.5.zip 113544662 BLAKE2B 7b79a1b107927fbb6ee2c7bb531901b5cedef0768146b369e8653e0e34e41758914b5108a01681e806c117dd80561091b6064bffe779e913774d61ff2fba369d SHA512 ff3ab833ce13889f1f6c2d1ee71f28bf8d48789c053c84b1f427e95e09aedb4d9f66a640a1891262f31300af50859581dc874a613f5f92b3bcf18b05c0140052
DIST unifi-5.6.42.zip 63581448 BLAKE2B dc12149acc56587043b9f6c45a43327a9a067dda86127c60ad62a4681a0c8ba873435b60183989332f561fb52f71c7207480766ec23d9c0e892cc20c521a9819 SHA512 467c0ad284a84795537484f371867d851e67c7e396215d539a9705f17f374b50db4051121a6634d1944474a2474bdd75fca860ab00b48634a5d3e8749a122989
diff --git a/net-wireless/unifi/unifi-5.11.48.ebuild b/net-wireless/unifi/unifi-5.11.48.ebuild
new file mode 100644
index 00000000000..793968b05c2
--- /dev/null
+++ b/net-wireless/unifi/unifi-5.11.48.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# Set this var for any releases except stable
+RC_SUFFIX="-0023c8f3bf"
+
+inherit systemd
+
+DESCRIPTION="A Management Controller for Ubiquiti Networks UniFi APs"
+HOMEPAGE="https://www.ubnt.com"
+SRC_URI="https://dl.ui.com/unifi/${PV}${RC_SUFFIX}/UniFi.unix.zip -> ${P}.zip"
+
+KEYWORDS="~amd64"
+LICENSE="Apache-1.0 Apache-2.0 BSD-1 BSD-2 BSD CDDL EPL-1.0 GPL-2 LGPL-2.1 LGPL-3 MIT ubiquiti"
+SLOT="0/5.11"
+IUSE="systemd"
+
+RDEPEND="
+ acct-group/unifi
+ acct-user/unifi
+ dev-db/mongodb
+ virtual/jre:1.8
+"
+
+DEPEND="app-arch/unzip"
+
+RESTRICT="bindist mirror"
+
+S="${WORKDIR}/UniFi"
+
+DOCS=( "readme.txt" )
+
+QA_PREBUILT="usr/lib/unifi/lib/native/Linux/x86_64/*.so"
+
+src_prepare() {
+ # Remove unneeded files Linux, Mac and Windows
+ rm -r lib/native/Linux/{aarch64,armv7} lib/native/{Mac,Windows} || die
+ if ! use systemd; then
+ rm lib/native/Linux/x86_64/libubnt_sdnotify_jni.so || die
+ fi
+
+ default
+}
+
+src_install() {
+ # Install MongoDB wrapper script, to avoid problems with >= 3.6.0
+ # See https://community.ubnt.com/t5/UniFi-Routing-Switching/MongoDB-3-6/td-p/2195435
+ exeinto /usr/lib/unifi/bin
+ newexe "${FILESDIR}"/mongod-wrapper mongod
+
+ insinto /usr/lib/unifi
+ doins -r dl lib webapps
+
+ diropts -o unifi -g unifi
+ keepdir /var/lib/unifi/{conf,data,run,tmp,work} /var/log/unifi
+
+ for symlink in conf data run tmp work; do
+ dosym ../../../var/lib/unifi/${symlink} /usr/lib/unifi/${symlink}
+ done
+ dosym ../../../var/log/unifi /usr/lib/unifi/logs
+
+ newinitd "${FILESDIR}"/unifi.initd-r1 unifi
+ systemd_dounit "${FILESDIR}"/unifi.service
+
+ newconfd "${FILESDIR}"/unifi.confd unifi
+
+ echo 'CONFIG_PROTECT="/var/lib/unifi"' > "${T}"/99unifi || die
+ doenvd "${T}"/99unifi
+
+ einstalldocs
+}